<?php

use \Model\Form;

class Controller_Home extends Controller_Template {

	public function action_index() {
		$data = array();
		$this->template->title = 'Example Page';
		$this->template->subtitle = 'Welcome';
		$this->template->content = View::forge('home/index', $data);
	}

	public function action_other() {
		$data = array();
		$this->template->title = 'Other Page';
		$this->template->subtitle = 'Other';
		$this->template->content = View::forge('home/other', $data);
	}

	public function action_bg() {
		$data = array();
		
		//Use Home model to get data
		$file_results = Form::get_data(DOCROOT . 'bgdata.csv');
		$data['file_contents'][] = $file_results;
		
		$this->template->title = 'Games Page';
		$this->template->subtitle = 'Top 10 Board Games'; 
		$this->template->content = View::forge('home/bg', $data);
	}

// FORM EXAMPLE -------------------------------------------
	public function action_list() {
		$data = array();
		
		$data['people'][] = Form::get_people();
		
		$this->template->title = 'Form Page';
		$this->template->subtitle = 'Form Example: List'; 
		$this->template->content = View::forge('home/list', $data);
	}
	
		public function get_add() {
		$data = array();
		$this->template->title = 'Form Page';
		$this->template->subtitle = 'Form Example: Add'; 
		$this->template->content = View::forge('home/add', $data);
	}
	
	public function post_add() {
		$name = Security::strip_tags(Input::post('name'));
		$year = Input::post('year');
		$hometown = Security::strip_tags(Input::post('hometown'));
		if($name === '' or $hometown === '') {
			Response::redirect('index/home/add');
		}
		else {
			Form::add_person($name, $year, $hometown);
			Response::redirect('index/home/list');
		}
	}
// --------------------------------------------------------

}
