<?php

namespace Model;

class Form extends \Model {
	
	public static function get_data($filename) {
		$csv = array_map('str_getcsv', file($filename));	
		return $csv;
	}
	
	public static function get_people() {
		$query_results = array_map('str_getcsv', file(DOCROOT . 'people.csv'));
		$people = array();
		
		foreach($query_results as $line) {
			array_push($people, $line[0] . " is a " . $line[1] . " year student and is from " . $line[2] . ".");
		}
		
		return $people;
	}
	
	public static function add_person($name, $year, $hometown) {
		$csvfile = fopen('people.csv', 'a');
		fputcsv($csvfile, array($name, $year, $hometown));
		fclose($csvfile);
	}

}
